#include "stdafx.h"


int _tmain( int /*argc*/, _TCHAR* /*argv[]*/ )
{
	int		i_ReturnValue;
	HANDLE	h_BoardHandle;
	ULONG	ul_ReadValue;
	
	UCHAR	uc_MaxNumberOfChannels = 4;
	PUCHAR	puc_Channel, puc_Polarity;
	PUSHORT	pus_Value;


	i_ReturnValue = OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		printf("Error %d opening the board \n", i_ReturnValue);
		goto end;
	}

	// Create the input arrays
	puc_Channel		= (PUCHAR) malloc( uc_MaxNumberOfChannels * sizeof(UCHAR) );
	puc_Polarity	= (PUCHAR) malloc( uc_MaxNumberOfChannels * sizeof(UCHAR) );
	pus_Value		= (PUSHORT) malloc( uc_MaxNumberOfChannels * sizeof(USHORT) );

	if ( puc_Channel == NULL || puc_Polarity == NULL || pus_Value == NULL )
	{
		printf("Error : unable to allocate arrays \n");
		goto cleanup;
	}

	for ( int i_Cpt = 0 ; i_Cpt < uc_MaxNumberOfChannels ; i_Cpt++ )
	{	
		printf("Set the output %i \n", i_Cpt);

		puc_Channel[i_Cpt] = (UCHAR) i_Cpt;

		// Ask for output polarity
		ReadUlong("  - Select the polarity (0: Unipolar, 1: Bipolar) ", 0, 1, &ul_ReadValue );

		switch ( ul_ReadValue )
		{
			case 0:
				puc_Polarity[i_Cpt] = PCIE3126_OUTPUT_MODE_UNIPOLAR;

				// Ask for output value
				ReadUlong("  - Select the output value (Unipolar: 0 to 32767) ", 0, 32767, &ul_ReadValue);
				pus_Value[i_Cpt] = (USHORT) ul_ReadValue;
				break;

			case 1:
				puc_Polarity[i_Cpt] = PCIE3126_OUTPUT_MODE_BIPOLAR;

				// Ask for output value
				ReadUlong("  - Select the output value (Bipolar: 0 to 65535) ", 0, 65535, &ul_ReadValue);
				pus_Value[i_Cpt] = (USHORT) ul_ReadValue;
				break;

			default:
				printf("Invalid output polarity \n");
				goto cleanup;
		}
	}

	i_ReturnValue = i_PCIe3126_WriteMoreAnalogOutputs(
		h_BoardHandle,
		uc_MaxNumberOfChannels,
		puc_Channel,
		puc_Polarity,
		pus_Value );

	if ( i_ReturnValue != 0 ) printf("Error %d in i_PCIe3126_WriteMoreAnalogOutputs \n", i_ReturnValue);
	else printf("i_PCIe3126_WriteMoreAnalogOutputs OK \n");


	free(puc_Channel);
	free(puc_Polarity);
	free(pus_Value);


cleanup:
	i_ReturnValue = i_PCIe3126_CloseBoard(h_BoardHandle);
	if (i_ReturnValue != 0) printf("Error %d in i_PCIe3126_CloseBoard \n", i_ReturnValue);
	else printf("i_PCIe3126_CloseBoard OK \n");



end:
	printf("\n Press any key to exit the sample ...");
	_getch();

	return 0;
}

