﻿using System;
using System.Diagnostics;
using System.Threading;

namespace analog_input
{
    public partial class Program
    {      
        static int test()
        {                       
            int ret = 0;
            byte i;

			UInt32 sequenceCount           = 0; // 0 is continuous
			UInt32 sequenceBeforeInterrupt = 1024;
			byte channelCount              = 2;
			byte[] channel                 = new byte[16];
            byte[] gain                    = new byte[16];
            byte[] polarity                = new byte[16];
			UInt32 convertingTime          = 5; // in us
			byte delayTime                 = 0;
			byte softTriggerMode           = 0;
			byte extTriggerMode            = 0;
			byte sequenceTriggerCount      = 0;
            byte inputMode                 = 2;  // 2 is diff

            for (i = 0; i < 16; i++)
            {
                channel[i] = 0;
                gain[i] = 0;
                polarity[i] = 0;
            }
            for (i = 0; i < channelCount; i++)
            {
                channel[i]  = i;
                gain[i]     = 0; // 0 is gain 1
                polarity[i] = 1; // 1 is bipolar

            }
            channel[0] = 0;
            channel[1] = 1;
            gain[0] = 0; // 0 is gain 1
            gain[1] = 0;
            polarity[0] = 1; // 1 is bipolar
            polarity[1] = 1;

	        Console.WriteLine("\n* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * \n");
	        Console.WriteLine(  "*                 Acquisition sample program                        * \n");
	        Console.WriteLine(  "* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * \n");

            // Construct object pcie3126
            pcie3126 pcie3126 = new pcie3126();

            ret = pcie3126.InitAndStartAcquisition(sequenceCount          ,
			                                       sequenceBeforeInterrupt,
			                                       channelCount           ,
			                                       channel                ,
                                                   gain                   ,
                                                   polarity               ,
                                                   convertingTime         ,
                                                   delayTime              ,
                                                   softTriggerMode        ,
                                                   extTriggerMode         ,
                                                   sequenceTriggerCount,
                                                   inputMode);		                                                                                          
            if (ret != 0)
            {
                Console.WriteLine("Error pcie3126.InitAndStartAcquisition {0}\n", ret);
                pcie3126.ReleaseAcquisition();
            }
            Console.WriteLine("\nPress any key to end...");
            Console.ReadKey();
            pcie3126.ReleaseAcquisition();
            Console.WriteLine("\nPress any key to end...");
            Console.ReadKey();
            return ret;
        }
    }
}