function [returnValue, identifier, UINumber, deviceNumber, busNumber, baseAddress0, baseAddress1, baseAddress2, baseAddress3, interrupt] = i_PCIe3121_mexGetBoardInformation(boardIndex, identifierSize)
% i_PCIe3121_mexGetBoardInformation
%
% Gets generic device information.
% 
% Input parameters:
%    boardIndex              "Index of the board"
%    identifierSize          "Size of the identifier parameter"
%
% Output parmeters:
%    returnValue             "Value returned by the function"
%    identifier              "Identifier of the board"
%    UINumber                "This number is typically a user-perceived slot number, such as a number printed next to the slot on the board, or some other number that makes locating the physical device easier for the user. If the device is on a bus that has no UI number convention, or if the bus driver for the device cannot determine the UI number, this value is 0xFFFFFFFF."
%    deviceNumber            "Device number"
%    busNumber               "Bus number"
%    baseAddress0            "Base address 0 of the board"
%    baseAddress1            "Base address 1 of the board"
%    baseAddress1            "Base address 2 of the board"
%    baseAddress1            "Base address 3 of the board"
%    interrupt               "Interrupt line of the board"
%
% Example:
% // Add an example here

[returnValue, identifier, UINumber, deviceNumber, busNumber, baseAddress0, baseAddress1, baseAddress2, baseAddress3, interrupt] = i_PCIe3121_mexGetBoardInformation(boardIndex, identifierSize);
