function [returnValue] = i_PCIe3121_mexInitAndStartTimer(deviceHandle, timerNb, mode, timeBase, outputMode, interruptEnabled, reloadValue, watchdogEnabled)
% i_PCIe3121_mexInitAndStartTimer
%
% Initializes and starts a timer
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    timerNb                   "The timer to be started"
%    mode                      "The mode of the timer: 0 -> mode 2, 1 -> mode 3 (please see the board documentation for more information)"
%    timeBase                  "The time base: 0 -> us, 1 -> ms, 2 -> s)"
%    outputMode                "How the output will change when the timer reaches 0: 0 -> enabled, 1 -> disabled, 2 -> toggled)"
%    interruptEnabled          "0 -> Interrupts disabled, 1 -> Interrupts enabled"
%    reloadValue               "How many time units to count (depends on the time base)"
%    watchdogEnabled           "0 -> Watchdog disabled, 1 -> Watchdog enabled"
%
% Output parameters:
%    returnValue             "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCIe3121_mexInitAndStartTimer(deviceHandle, timerNb, mode, timeBase, outputMode, interruptEnabled, reloadValue, watchdogEnabled);
