//##protect##"FileHeader"
/** @file l_PCIe3121_mexReadSequenceData.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 01.11.2012
 *  @date    $LastChangedDate$
 *  @version $LastChangedRevision$
 *
 *  @par DESCRIPTION
 *  l_PCIe3121_mexReadSequenceData MEX file
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "PCIe3121.h"
#include "mex.h"
#include "matrix.h"

/* l_PCIe3121_mexReadSequenceData */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the local variables of the function */
	LONG *returnValue = mxCalloc(1, sizeof(LONG));
	HANDLE deviceHandle = 0;
	DWORD size = 0;
	WORD *data = mxCalloc(1, sizeof(WORD));
//##protect##"l_PCIe3121_mexReadSequenceData_VariablesDefinition"
//##protect##"l_PCIe3121_mexReadSequenceData_VariablesDefinition"

	/* Check the number of input and output parameters */
	if (nrhs != 2)
		mexErrMsgIdAndTxt("MyToolbox:l_PCIe3121_mexReadSequenceData:nrhs", "2 inputs are required.\n");
	if (nlhs != 2)
		mexErrMsgIdAndTxt("MyToolbox:l_PCIe3121_mexReadSequenceData:nlhs", "2 outputs are required.\n");

	/* Acquisition of the input(s) */
	deviceHandle = (HANDLE)(LONG)mxGetScalar(prhs[0]);
	size = (DWORD)mxGetScalar(prhs[1]);

	/* Check of the values of the input parameters */

//##protect##"l_PCIe3121_mexReadSequenceData_Start"
//##protect##"l_PCIe3121_mexReadSequenceData_Start"

	/* Call of the C function */
	*returnValue = l_PCIe3121_ReadSequenceData(deviceHandle, size, data);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT32_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);
	plhs[1] = mxCreateNumericArray(0, NULL, mxUINT16_CLASS, mxREAL);
	mxSetData(plhs[1], data);  mxSetM(plhs[1], 1);  mxSetN(plhs[1], 1);

//##protect##"l_PCIe3121_mexReadSequenceData_End"
//##protect##"l_PCIe3121_mexReadSequenceData_End"
}
